Access

Rename a workspace group

PATCH
/api/workspaces/{workspaceId}/teams/{teamId}

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

workspaceId*string
Length1 <= length
teamId*string
Length1 <= length

Request Body

  1. body
name*string
Length1 <= length <= 80

Response Body

Response for status 200

application/json
  1. response
team*
Example Request
curl -X PATCH 'https://postbot.example/api/workspaces/string/teams/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
Example Response
{
  "team": {
    "id": "string",
    "name": "string",
    "memberCount": 0,
    "isDefault": true,
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?